import request from '../../utils/request'

/**
 * 获取短信流水分页列表
 */
export function getMsgPage(data) {
    return request({
      url: '/Msg/GetMsgLogPageList',
      method: 'post',
      data
    });
}
  
/**
 * 获取短信配置分页列表
 */
export function getConfigPage(data) {
  return request({
    url: '/Msg/GetMsgBasePageList',
    method: 'post',
    data
  });
}

/**
 * 新增修改短信配置
 */
export function EditMsgConfig(data) {
  return request({
    url: '/Msg/SetMsgBase',
    method: 'post',
    data
  });
}

/**
 * 根据ID获取配置信息
 */
export function GetMsgBaseList(data) {
  return request({
    url: '/Msg/GetMsgBaseList',
    method: 'post',
    data
  });
}

/**
 * 获取短信设置列表
 */
export function GetMsgBaseTemplatePageList(data) {
  return request({
    url: '/Msg/GetMsgBaseTemplatePageList',
    method: 'post',
    data
  });
}

/**
 * 获取短信设置模板类型
 */
export function GetBaseTemplateTypeEnumList(data) {
  return request({
    url: '/Msg/GetBaseTemplateTypeEnumList',
    method: 'post',
    data
  });
}


/**
 * 短信设置 保存数据
 */
export function SetMsgBaseTemplate(data) {
  return request({
    url: '/Msg/SetMsgBaseTemplate',
    method: 'post',
    data
  });
}










